Bug 245269 - texmaker: use xdg-open instead of (hard-coded) evince
Summary: texmaker: use xdg-open instead of (hard-coded) evince
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texmaker (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-22 00:56 UTC by Rex Dieter
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 1.6-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-27 21:50:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rex Dieter 2007-06-22 00:56:21 UTC
texmaker-toos.patch currently hard-codes use of evince for ps/pdf viewer.  I'd
suggest using xdg-open instead, so that the users' preferred ps/pdf viewer app
is used instead.

If you choose to do that, you should add
Requires: xdg-utils
(the package that include xdg-open).

Comment 1 Deji Akingunola 2007-06-22 02:46:50 UTC
Thanks for the suggestion. I implemented this locally and tested viewing files
with it (from texmaker), but it failed to work properly. While it worked for
viewing %.dvi (it opened with xdvi), it fails for both ps and pdf where evince
(and also acroread for pdf) works. However running xdg-open from the
command-line to open the actual ps and pdf files works.
I'll leave this bug open, and investigate further while xdg-open would not work
within texmaker for ps and pdf. 

Comment 2 Rex Dieter 2007-06-22 02:55:55 UTC
dunno, WORKSFORME, setting by hand:
dvi viewer: xdg-open %.dvi
ps viewer: xdg-open %.ps
pdf viewer: xdg-open *.pdf

Comment 3 Deji Akingunola 2007-06-22 03:02:11 UTC
It failed for me in rawhide, if that matters. I'll reboot into F7 and check there.

Comment 4 Rex Dieter 2007-08-18 22:38:03 UTC
imo, I'd rather apps respect a users' preferred dvi/ps/pdf application instead
of hard-coding something.  And... if there are issues/problems related to that,
I'd rather push this change to devel/rawhide to give folks a chance to see/test,
and fix issues (that's what rawhide is for, right?). :)

Comment 5 Deji Akingunola 2007-08-19 03:31:51 UTC
Fixed, Thanks.

Comment 6 Fedora Update System 2007-08-19 15:14:33 UTC
texmaker-1.6-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2007-08-27 21:49:52 UTC
texmaker-1.6-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.